.. _vSphere API 4.0: ../../../vim/version.rst#vimversionversion5

.. _vmodl.DynamicData: ../../../vmodl/DynamicData.rst

.. _vim.VirtualMachine: ../../../vim/VirtualMachine.rst

.. _vmodl.LocalizedMethodFault: ../../../vmodl/LocalizedMethodFault.rst


vim.cluster.DrsFaults.FaultsByVm
================================
  FaultsByVm is the faults generated by DRS when it tries to move a VM.
:extends: vmodl.DynamicData_
:since: `vSphere API 4.0`_

Attributes:
    vm (`vim.VirtualMachine`_, optional):

       The VM that DRS was trying to migrate when it generated the faults. If this property is NULL, the fault is not associated with a particular VM.
    fault ([`vmodl.LocalizedMethodFault`_]):

       The faults generated by DRS when it was trying to move the given VM.
